Get Message
GET
/platform/v1/messages/{message_id}
const url = 'https://example.com/platform/v1/messages/1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/platform/v1/messages/1Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” message_id
required
Message Id
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
PlatformMessageResponse
object
created_at
required
Created At
string format: date-time
direction
required
Direction
string
has_media
required
Has Media
boolean
id
required
Id
integer
meta_error
Any of:
Meta Error
null
peer_id
required
Peer Id
string
platform_channel_id
required
Platform Channel Id
integer
status_history
Status History
Array
Example
{ "status_history": []}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}